#281 closed defect (fixed)

Debug version build error

Reported by: dedekind Owned by: Ralf Corsepius
Priority: normal Milestone: 2
Component: build Version: unknown
Severity: major Keywords:
Cc: bugs@…, joel.sherrill@… Blocked By:
Blocking:

Description

When I build applications with gensh4 bsp - make debug generetes optimized files... There no debugging information in *_d.exe files and binaries are the same as optimized file.

Release:
rtems-ss-20020628 and rtems-ss-20020528. This was Ok in rtems-ss-20020301

Environment:
Linux

How-To-Repeat:
$SRC/configure --prefix=/home/dedekind/work/tools/rtems/rtems-ss-20020628 --enable-networking=yes --target=sh-rtemself --enable-rtemsbsp="gensh4" --disable-itron
--disable-tests --enable-cxx=yes

make
make install

Attachments (1)

pr281.diff (4.8 KB) - added by dedekind on Dec 3, 2006 at 1:31:13 PM.
pr281.diff

Download all attachments as: .zip

Change History (3)

comment:1 Changed on Sep 13, 2002 at 12:41:31 PM by Joel Sherrill

Status: assignedwaiting

comment:2 Changed on Nov 14, 2002 at 7:50:44 PM by Joel Sherrill

Status: waitingclosed

State-Changed-From-To: feedback->closed
State-Changed-Why: DEBUG variant appears to build OK now based upon recent

changes by Ralf. Thanks Ralf.

Changed on Dec 3, 2006 at 1:31:13 PM by dedekind

Attachment: pr281.diff added

pr281.diff

Note: See TracTickets for help on using tickets.